### Function

# ECal Client tzlookup_icalcomp_cb

since: 3.34

#### Declaration [src]

    ICalTimezone*
    e_cal_client_tzlookup_icalcomp_cb (
      const gchar* tzid,
      ECalClientTzlookupICalCompData* lookup_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

An implementation of the `ECalRecurResolveTimezoneCb` callback which backends can use. Searches for the timezone in an %ICalComponent associated with the `lookup_data` %ECalClientTzlookupICalCompData.

The returned timezone object is owned by the `lookup_data`.

Available since: 3.34

#### Parameters

`tzid`

  Type: `const gchar*`

  ID of the timezone to lookup.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`lookup_data`

  Type: `ECalClientTzlookupICalCompData`

  An `ECalClientTzlookupICalCompData` strcture, created with e_cal_client_tzlookup_icalcomp_data_new().

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  An optional `GCancellable` to use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `None`

A timezone object, or `NULL`, if not found inside `lookup_data` ‘s `ICalComponent`.

The data is owned by the called function.
The return value can be `NULL`.